Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Protected Member Functions
Argus::CaptureMetadataContainer Class Reference

An object that holds a CaptureMetadata instance and is used to read the capture metadata from a consumer thread directly from the embedded EGLStream metadata. More...

`#include <CaptureMetadata.h>`

Inheritance diagram for Argus::CaptureMetadataContainer:

List of all members.

## Protected Member Functions
| ~CaptureMetadataContainer ()
Protected Member Functions inherited from Argus::InterfaceProvider
| ~InterfaceProvider ()
Protected Member Functions inherited from Argus::Destructable
| ~Destructable ()

## Additional Inherited Members
Public Member Functions inherited from Argus::InterfaceProvider
virtual Interface * | getInterface (const InterfaceID &interfaceId)=0
| Acquire the interface specified by `interfaceId`.
Public Member Functions inherited from Argus::Destructable
virtual void | destroy ()=0
| Destroy this object.

## Detailed Description

An object that holds a CaptureMetadata instance and is used to read the capture metadata from a consumer thread directly from the embedded EGLStream metadata.

It exposes the same interfaces as CaptureMetadata, but is owned by the consumer.

Definition at line 60 of file CaptureMetadata.h.

## Constructor & Destructor Documentation

Argus::CaptureMetadataContainer::~CaptureMetadataContainer | ( |  | ) |
| inline protected

Definition at line 63 of file CaptureMetadata.h.

The documentation for this class was generated from the following file:

- include/Argus/CaptureMetadata.h